Name:           ocaml-ppx-tools-versioned
Version:        5.2
Release:        3%{?dist}
Summary:        Tools for authors of ppx rewriters

License:        MIT
URL:            https://github.com/ocaml-ppx/ppx_tools_versioned
Source0:        https://github.com/ocaml-ppx/ppx_tools_versioned/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  ocaml
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-result-devel
BuildRequires:  ocaml-migrate-parsetree-devel
BuildRequires:  jbuilder
BuildRequires:  opam-installer

%description
A variant of ppx_tools based on ocaml-migrate-parsetree.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}


%description    devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.


%prep
%setup -q -n ppx_tools_versioned-%{version}


%build
%make_build


%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
%make_build install INSTALL_ARGS='--destdir=%{buildroot}%{_prefix} --libdir=%{buildroot}%{_libdir}/ocaml'

# These files will be installed using doc and license directives.
rm -r %{buildroot}%{_prefix}/doc/ppx_tools_versioned/{LICENSE,README.md}

# Makes *.cmxs and ppx_metaquot_* executable such that they will be stripped.
find $OCAMLFIND_DESTDIR -name '*.cmxs' -exec chmod 0755 {} \;
find $OCAMLFIND_DESTDIR -regextype sed -regex '.*/ppx_metaquot_[0-9]*' -exec chmod 0755 {} \;

%files
%doc README.md
%license LICENSE
%{_libdir}/ocaml/*
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/*/*.a
%exclude %{_libdir}/ocaml/*/*.cmxa
%exclude %{_libdir}/ocaml/*/*.cmx
%endif


%files devel
%doc README.md
%license LICENSE
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/*/*.a
%{_libdir}/ocaml/*/*.cmxa
%{_libdir}/ocaml/*/*.cmx
%endif


%changelog
* Wed Feb 06 2019 Richard W.M. Jones <rjones@redhat.com> - 5.2-3
- Bump release and rebuild against latest ocaml-migrate-parsetree.

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Aug 01 2018 Andy Li <andy@onthewings.net> - 5.2-1
- New upstream release.

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Apr 06 2018 Andy Li <andy@onthewings.net> - 5.1-1
- New upstream release.

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 08 2018 Andy Li <andy@onthewings.net> - 5.0.1-1
- Initial RPM release.
